Bug 1342509 - vrpn: python3-vrpn requires both Python 2 and Python 3
Summary: vrpn: python3-vrpn requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vrpn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Mikhirev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:58 UTC by Tomas Orsava
Modified: 2016-06-18 18:33 UTC (History)
1 user (show)

Fixed In Version: vrpn-07.33-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:33:50 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-06-03 11:58:04 UTC
The python3-vrpn RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Dmitry Mikhirev 2016-06-08 20:15:57 UTC
This was due to mistake in spec file. The python2 module was included to both python2-vrpn and python3-vrpn packages, while python3 module was not packaged at all. It is fixed in vrpn 07.33-2 in both fc24 and rawhide.

Comment 2 Tomas Orsava 2016-06-09 09:18:44 UTC
Hi Dmitry!
Thank you for addressing the issue!

Just a heads up, in the last dist-git commit you haven't bumped the release number, so the change might not propagate: http://pkgs.fedoraproject.org/cgit/rpms/vrpn.git/commit/vrpn.spec?id=daf3d58065aee6c8a94bce02950f208647566f49

Have a great day!

Comment 3 Dmitry Mikhirev 2016-06-09 11:17:26 UTC
It's OK, I pushed two commits at a time.

Comment 4 Fedora Update System 2016-06-10 20:01:44 UTC
vrpn-07.33-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7446661d90

Comment 5 Fedora Update System 2016-06-11 11:51:02 UTC
vrpn-07.33-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7446661d90

Comment 6 Fedora Update System 2016-06-18 18:33:47 UTC
vrpn-07.33-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.